/*
 * JBoss, Home of Professional Open Source
 * Copyright 2014 Red Hat Inc. and/or its affiliates and other contributors
 * as indicated by the @authors tag. All rights reserved.
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.arquillian.ape.rdbms.dbunit.filter;

import org.arquillian.ape.spi.dbunit.filter.TableFilterProvider;
import org.dbunit.database.IDatabaseConnection;
import org.dbunit.dataset.DataSetException;
import org.dbunit.dataset.filter.ITableFilter;

import java.sql.SQLException;

public class OracleDatabaseSequenceFilterProvider implements TableFilterProvider {

    @Override
    public ITableFilter provide(IDatabaseConnection connection) throws SQLException, DataSetException {
        return new OracleDatabaseSequenceFilter(connection);
    }

    @Override
    public ITableFilter provide(IDatabaseConnection connection, String[] tableNames) throws SQLException, DataSetException {
        return new OracleDatabaseSequenceFilter(connection, tableNames);
    }

    public String simpleName() {
        return "oracle";
    }

}
