DROP TABLE IF EXISTS address;
DROP TABLE IF EXISTS useraccount;
DROP TABLE IF EXISTS useraccount_address;

CREATE TABLE address (
  ID          BIGINT NOT NULL,
  CITY        VARCHAR(255),
  HOUSENUMBER INTEGER,
  STREETNAME  VARCHAR(255),
  VERSION     BIGINT,
  ZIPCODE     INTEGER,
  PRIMARY KEY (ID)
);

CREATE TABLE useraccount (
  ID        BIGINT GENERATED BY DEFAULT AS IDENTITY (
  START WITH 1
  INCREMENT BY 1 ) NOT NULL,
  FIRSTNAME VARCHAR(255),
  LASTNAME  VARCHAR(255),
  NICKNAME  VARCHAR(255),
  PASSWORD  VARCHAR(255),
  USERNAME  VARCHAR(255),
  OPENDATE  DATE,
  PRIMARY KEY (ID)
);

CREATE TABLE useraccount_address (
  UserAccount_ID BIGINT NOT NULL,
  addresses_ID   BIGINT NOT NULL,
  PRIMARY KEY (UserAccount_ID, addresses_ID)
);

ALTER TABLE useraccount_address
  ADD CONSTRAINT FK_useraccount_address_UserAccount_ID FOREIGN KEY (UserAccount_ID) REFERENCES useraccount (ID);

ALTER TABLE useraccount_address
  ADD CONSTRAINT FK_useraccount_address_addresses_ID FOREIGN KEY (addresses_ID) REFERENCES address (ID);

DROP TABLE IF EXISTS SEQUENCE;

CREATE TABLE SEQUENCE (
  SEQ_NAME  VARCHAR(50) NOT NULL,
  SEQ_COUNT NUMERIC(38),
  PRIMARY KEY (SEQ_NAME)
);

INSERT INTO SEQUENCE (SEQ_NAME, SEQ_COUNT) VALUES ('SEQ_GEN', 0);


