DROP TABLE IF EXISTS useraccount_address;
DROP TABLE IF EXISTS address;
DROP TABLE IF EXISTS useraccount;

CREATE TABLE address (
  ID          BIGINT NOT NULL,
  CITY        VARCHAR(255),
  HOUSENUMBER INTEGER,
  STREETNAME  VARCHAR(255),
  VERSION     BIGINT,
  ZIPCODE     INTEGER,
  PRIMARY KEY (ID)
);

CREATE TABLE useraccount (
  ID        BIGINT GENERATED BY DEFAULT AS IDENTITY (
  START WITH 1
  INCREMENT BY 1 ) NOT NULL,
  FIRSTNAME VARCHAR(255),
  LASTNAME  VARCHAR(255),
  NICKNAME  VARCHAR(255),
  PASSWORD  VARCHAR(255),
  USERNAME  VARCHAR(255),
  OPENDATE  DATE,
  PRIMARY KEY (ID)
);

CREATE TABLE useraccount_address (
  UserAccount_ID BIGINT NOT NULL,
  addresses_ID   BIGINT NOT NULL,
  PRIMARY KEY (UserAccount_ID, addresses_ID)
);

ALTER TABLE useraccount_address
  ADD CONSTRAINT FK_useraccount_address_UserAccount_ID FOREIGN KEY (UserAccount_ID) REFERENCES useraccount (ID);

ALTER TABLE useraccount_address
  ADD CONSTRAINT FK_useraccount_address_addresses_ID FOREIGN KEY (addresses_ID) REFERENCES address (ID);

DROP TABLE IF EXISTS openjpa_sequence_table;

CREATE TABLE openjpa_sequence_table (ID TINYINT NOT NULL, SEQUENCE_VALUE BIGINT, PRIMARY KEY (ID))

INSERT INTO openjpa_sequence_table (ID, SEQUENCE_VALUE) VALUES (1, 0);

